Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007621TestLinkExport/Importpublic2016-07-11 13:532016-09-08 15:12
Reporterdr.jorge 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSCentOSOS Version7
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007621: LATEST GITHUB CODE - Testcase/Testsuite Export: exporting keywords is broken
DescriptionTested it with fresh install of official release version 1.9.14 (19.09.2015): checking box "Export with keywords" works

When checking Keyword export box in latest GitHub version, then the keywords are missing in the exported xml.
Steps To Reproduce1. Create a new project
2. create a new top level suite & add a new test case.
3. Create a keyword and add it to the previously created test case

4. Click on root node of tree in test specification (to export the entire project)
5. Select "Export all test suites" from test suite operations
6. Leave all boxes checked & additionally check the "Export with keywords" box
7. Do the export

Result: The written xml doesn't contain the keyword
Additional InformationWhen I "hardcode" the check in the file lib/testcases/tcExport.php

(in function "init_args"):

$args->exportKeywords = 1;

right after evaluating all $_REQUEST variables, then the export works fine. So it seems more like a communication problem with the gui.

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql 5.6
BrowserChrome 51
PHP Version5.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0025076)
fman (administrator)
2016-07-12 12:07

thanks for help
(0025094)
fman (administrator)
2016-07-23 09:17

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/633b588e0feee1def9a9ba91dde366f3cbbb295e [^]
(0025095)
fman (administrator)
2016-07-23 10:00

also
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/cb8245fcbd0e243e302bf485cacfa92f06b11508 [^]
(0025098)
dr.jorge (reporter)
2016-07-25 08:51
edited on: 2016-07-25 08:51

Retested GitHub version from 25.07. in two different environments (SuSE12 & CentOS7) with FF45 and Chrome51 (both running under Win7).

Export with keywords is working again.

Thanks!

(0025216)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-07-11 13:53 dr.jorge New Issue
2016-07-12 12:07 fman Note Added: 0025076
2016-07-23 09:17 fman QA Team - Task Workflow Status => READY FOR TESTING
2016-07-23 09:17 fman Note Added: 0025094
2016-07-23 09:17 fman Status new => resolved
2016-07-23 09:17 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-07-23 09:17 fman Resolution open => fixed
2016-07-23 09:17 fman Assigned To => fman
2016-07-23 09:18 fman Relationship added child of 0007262
2016-07-23 10:00 fman Note Added: 0025095
2016-07-25 08:51 dr.jorge Note Added: 0025098
2016-07-25 08:51 dr.jorge Note Edited: 0025098 View Revisions
2016-09-08 15:12 fman Note Added: 0025216
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker